#!/bin/bash

R=$(echo "$2/20" | bc -l)
L=$(echo "$2/2"  | bc -l)
rad=$(echo "128/($R*$L)" | bc -l)

name="twoscarabs_plt_light${2}_spp${1}.exr"

cmd="mitsuba twoscarabs.xml -o \"${name}\" -D spp=$1 -D l1=$L -D l=-$L -D r=$R -D rad=$rad -D tau=20 $3"
echo $cmd
eval $cmd
